LIBRARY ieee;
   USE ieee.std_logic_1164.all;
   USE ieee.std_logic_unsigned.all;

ENTITY QC15 IS
	PORT (
		data_in			: IN  STD_LOGIC_VECTOR ( 15 DOWNTO 0);
		data_out			: OUT STD_LOGIC_VECTOR ( 15 DOWNTO 0)
	);
END QC15;	
ARCHITECTURE logic OF QC15 IS 
	constant amplitude1_threshold1 : std_logic_vector := "1000010000000000";
	constant amplitude1_threshold2 : std_logic_vector := "0111110000000000";
BEGIN
	process (data_in) begin
	if data_in > amplitude1_threshold1 or data_in < amplitude1_threshold2 then
		data_out <= data_in;
	else
		data_out <= "1000000000000000";
	end if;
	end process;
END logic; 